package pps.core.base.service;

import com.alibaba.excel.EasyExcel;
import pps.core.base.config.excel.ThirdApiWeatherDataListener;
import pps.core.base.service.data.third_weather_data.ThirdApiWeatherExcelData;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiGet;

@XService
public class BaseLineService {

    @XText("天气历史数据导入")
    @XApiGet(anonymous = true)
    public XServiceResult test(XContext context) {
        String fileName = "D:\\home\\result_w.csv";
        // 这里 需要指定读用哪个class去读，然后读取第一个sheet 文件流会自动关闭
        EasyExcel.read(fileName, ThirdApiWeatherExcelData.class, new ThirdApiWeatherDataListener(context)).sheet().doRead();
        return XServiceResult.OK;
    }

}
